/*
renk paleti: (açıktan koyuya)
    #e8e2d9 	(232,226,217)
	#a79076 	(167,144,118)
	#886d56 	(136,109,86)
	#6f482a 	(111,72,42)
	#513f39 	(81,63,57)

	#eadbcb 	(234,219,203)
	#e3ceb9 	(227,206,185)
	#dcc1a7 	(220,193,167)
	#d4b595 	(212,181,149)
	#cda882 	(205,168,130)
*/

:root[data-mod="aydinlik"] {
    --renk_scrollbar_bir: #886d56;
    --renk_scrollbar_iki: #1c1b22;

    --renk_baglanti: #0c00ff;

    --renk_yazi: black;
    --renk_yazi_altbaslik: rgba(26, 26, 26, 0.62);
    --renk_yazi_vurgu: white;
    --renk_yazi_vurgu_arkaplan: rgba(158, 43, 85, 0.75);
    --renk_yazi_tarih: #900c3f;
    --renk_yazi_saydam: #ffffff;

    --renk_arkaplan: #f4ecd8;
    --renk_arkaplan_kod: #f4ecd8;
    --renk_arkaplan_kart: #d9cfb8;
    --renk_arkaplan_saydam: #513f39;
    --renk_arkaplan_saydam_artibir: #443631;

    --renk_header: #513f39;
    --renk_header_acik: #65524b;
    --renk_baslik_kutusu: #2c2422;
    --renk_iletisim: #a79076;

    --renk_ikonlar: #e8e2d9;

    --renk_dropdown_kutubir: rgb(197, 191, 182);
    --renk_dropdown_kutuiki: rgb(173, 169, 160);

    --renk_dizin_footer: #513f39;

    --renk_link: #e8e2d9;

    --renk_focus: blue;

    --renk_qnav: #0F4C5C;

    --transition_baslik: background-color 0.1s ease-in-out;
    --margin_baslik: max(5vh, 20px) max(25px, 8vw) max(50px, 10vh) max(25px, 8vw);
}

:root[data-mod="karanlik"] {
    --renk_scrollbar_bir: silver;
    --renk_scrollbar_iki: #1c1b22;

    --renk_baglanti: #3cd3ff;

    --renk_yazi: white;
    --renk_yazi_altbaslik: rgba(189, 189, 189, 0.46);
    --renk_yazi_vurgu: white;
    --renk_yazi_vurgu_arkaplan: rgba(158, 43, 85, 0.75);
    --renk_yazi_tarih: #ee075f;
    --renk_yazi_saydam: #000000;

    --renk_arkaplan: #1c1b22;
    --renk_arkaplan_kod: #2F1928;
    --renk_arkaplan_kart: rgb(33, 43, 103);
    --renk_arkaplan_saydam: silver;
    --renk_arkaplan_saydam_artibir: #d2d2d2;

    --renk_header: #1c1b22;
    --renk_header_acik: #bb064a;
    --renk_baslik_kutusu: #1c1b22;
    --renk_iletisim: #a79076;

    --renk_ikonlar: #e8e2d9;

    --renk_dropdown_kutubir: rgb(164, 164, 166);
    --renk_dropdown_kutuiki: rgb(148, 148, 148);

    --renk_dizin_footer: #1c1b22;

    --renk_link: #e8e2d9;

    --renk_focus: blue;

    --renk_qnav: #1c1b22;

    --transition_baslik: background-color 0.2s ease-in-out;
}

::-webkit-scrollbar {
    width: 8px;
    background-color: var(--renk_scrollbar_iki);
}

::-webkit-scrollbar-thumb {
    background-color: var(--renk_scrollbar_bir);

    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.75);
}

::selection {
    color: var(--renk_yazi_vurgu);
    background-color: var(--renk_yazi_vurgu_arkaplan);
}

* {
    margin: 0;
    padding: 0;
}

html {
    scrollbar-color: var(--renk_scrollbar_bir) var(--renk_scrollbar_iki);
    scrollbar-width: thin;
    scroll-behavior: smooth;
}

body {
    background: var(--renk_arkaplan);
    transition: inherit;
}

.wrapper {
    min-height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* BAŞLIK KISIMLARI */

header {
    background-color: var(--renk_header);
    height: 60px;
    width: 100%;

    position: relative;
    display: flex;

    user-select: none;
}

.baslik-kutusu {

    background-color: var(--renk_baslik_kutusu);
    height: 100%;
    flex: 1;
    max-width: 120px;

    display: flex;
    justify-content: center;
    align-items: center;

    box-sizing: content-box;

}

.baslik-kutusu > a {
    width: 100%;
    height: 100%;
    box-sizing: border-box;

    display: flex;
    justify-content: center;
    align-items: center;

    color: var(--renk_link);
    outline: none;
    text-decoration: none;
    font-family: "Segoe UI", Helvetica, sans-serif;
}

:focus {
    border: 1px solid var(--renk_focus);
    border-radius: 3px;
}

.baslik-kutusu:hover {
    background-color: var(--renk_header_acik);
    transition: var(--transition_baslik);
}

.ikon {
    scale: 0.5;
    width: 100%;
    height: 100%;
    fill: var(--renk_ikonlar);
}

#dizin {
    position: relative;
    display: inline-block;
}

#ayarlar {
    max-width: 60px;
    position: relative;
    display: inline-block;
    box-sizing: content-box;
}

.dropdown-kutu {
    z-index: 999;

    backdrop-filter: blur(12px);

    box-shadow: 4px 4px 16px 0 rgba(0, 0, 0, 0.4);

    width: min(600px, calc(100vw - 8px));
    max-height: 650px;
    background-color: var(--renk_dropdown_kutubir);

    font-size: 2em;
    overflow-y: scroll;

    scrollbar-width: thin;

    display: none;
    position: absolute;
    flex-direction: column;
    justify-content: flex-start;
}

.dropdown-icerik {
    width: 100%;
    height: 160px;

    display: flex;
    flex-direction: row;
    justify-content: center;
    box-sizing: border-box;
}

.dropdown-icerik .thumbnail {
    flex: 1;
    height: 100%;
    max-width: 160px;
    display: flex;

}

.dropdown-icerik .aciklama {
    flex: 2;
    display: flex;
    flex-direction: column;

    position: relative;

    text-decoration: none;
    color: inherit;

    overflow: hidden;

    padding: 18px 0 0 12px;

}

.dropdown-icerik .aciklama h6 {
    margin-bottom: 9px;
}

.dropdown-icerik:hover h6 {
    color: var(--renk_focus);
}

.aciklama .yazi {
    height: 100%;
    mask-image: linear-gradient(180deg, black 30%, transparent);
}

.dropdown-icerik .aciklama p {
    text-overflow: ellipsis;
    font-size: 20px;
}

.dropdown-icerik .aciklama .tarih {
    font-size: 30px;
    position: absolute;
    bottom: 0;
    right: 5px;
}

/*.dropdown-icerik .aciklama:before {*/
/*    content:'';*/
/*    width:100%;*/
/*    height:100%;*/
/*    position:absolute;*/
/*    left:0;*/
/*    top:0;*/
/*    background:linear-gradient(transparent 150px, white);*/
/*}*/

.dropdown-icerik:nth-child(2n+1) .aciklama .tarih {
    background-color: var(--renk_dropdown_kutubir);
}

.dropdown-icerik:nth-child(2n) .aciklama .tarih {
    background-color: var(--renk_dropdown_kutuiki);
}

.dropdown-icerik:nth-child(2n) {
    background-color: var(--renk_dropdown_kutuiki);
}

#dizin:hover > .dropdown-kutu {
    display: flex;
}

#ayarlar:hover > .dropdown-kutu {
    display: flex;
    flex-direction: row;
}

#anaekran {
    max-width: 60px;
}

#ayarlar > .dropdown-kutu {
    width: min(50vw, 300px);
    position: fixed;
    top: 0;
}

.sunvemoon {
    position: absolute;
    scale: 0.05;
    stroke: black;
    stroke-width: 5px;
}

#qnav {
    height: 100%;
    flex: 2;
    max-width: 270px;

    margin-left: auto;

    display: flex;
    justify-content: center;
    align-items: center;

    box-sizing: content-box;
}

.dropdown-icerik-yatay {
    flex: 1;
    height: 75px;

    cursor: pointer;

    display: flex;

    justify-content: center;
    align-items: center;

    outline: 1px solid rgba(105, 98, 98, 0.34);

}

.qnavit {
    background-color: var(--renk_qnav);
    height: 100%;
    width: 100%;
    /*max-width: 90px;*/
    flex: 1;

    display: flex;
    justify-content: center;
    align-items: center;

    color: var(--renk_ikonlar);

}

.qnavit:hover {
    background-color: #18748c;
    transition: var(--transition_baslik);
}

.qnavit > a {
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 1.8em;

    color: var(--renk_ikonlar);
    outline: none;
    text-decoration: none;
}

/* BAŞLIK KISIMLARI */
/* ANA İÇERİK */

main {
    padding-bottom: 30px;
}

#baslik-ve-tarih {
    height: 100%;

    display: flex;
    position: relative;
    align-items: end;

    border-left: 3px solid var(--renk_yazi);

    padding-right: 10px;
    padding-left: 10px;
    margin: max(12vh, 50px) max(25px, 8vw) 0 max(25px, 8vw);
    box-sizing: content-box;
}

#baslik {
    display: flex;
    flex-direction: column;
    flex: 1;

    font-family: "Times New Roman", sans-serif;

    font-weight: bold;
}

#baslik h1 {
    color: var(--renk_yazi);
    font-size: 42px;
}

#baslik h2 {
    color: var(--renk_yazi_altbaslik);
}

#tarih {
    position: relative;
    width: fit-content;
    height: initial;

    align-self: center;
    margin-left: auto;
    padding-left: 8px;

    white-space: nowrap;

    font-family: "Segoe UI", Helvetica, sans-serif;
    text-align: right;

    color: var(--renk_yazi_tarih);
}

.icerik h1 {
    /*text-shadow: -1px 1px;*/
    font-size: 36px;
    color: var(--renk_yazi);
}

.icerik h2 {
    color: var(--renk_yazi_altbaslik);
}

.icerik {
    position: relative;

    padding: max(5vh, 20px) max(25px, 8vw) 0 max(25px, 8vw);
}

.icerik .kart {
    width: 100%;
    height: 100%;
    padding: 20px;
    margin-left: -20px;
    border: 2px solid var(--renk_yazi_vurgu_arkaplan);
    background-color: var(--renk_arkaplan_kod);
}

.icerik p {
    font-family: "Segoe UI", Helvetica, sans-serif;
    font-size: 20px;
    line-height: 1.6em;
    margin-bottom: max(25px, 4vh);
    text-align: justify;

    text-indent: 1.8em;

    color: var(--renk_yazi);
}

.icerik h1 {
    margin-top: 40px;
    margin-bottom: 10px;
    border-bottom: 1px dotted var(--renk_yazi);
}

.icerik h2 {
    margin-top: 40px;
    margin-bottom: max(12px, 2vh);

    color: var(--renk_yazi);
    font-size: 27px;
}

.icerik a {
    color: var(--renk_baglanti);
    text-decoration: none;
}

.icerik a:hover {
    text-decoration: underline;
}

.icerik p:last-child {
    margin-bottom: 0;
}

.icerik:after {
    display: block;
    margin-bottom: 50px;
    content: "";
}

.icerik sub {
    vertical-align: sub;
    font-size: 12px;
}

.icerik sup {
    vertical-align: super;
    font-size: 12px;
}

.resim {
    height: 100%;

    position: relative;
    display: inline-block;

    float: left;

    text-indent: 0;
    margin: 15px 15px 0 0;
}

.buyuk {
    width: 800px;
}

.kucuk {
    width: 400px;
}

.sigdir {
    width: 100%;
}

.resim:nth-child(2n) {
    float: right;
    margin: 15px 0 0 15px;
}

.sol {
    float: left;
    margin: 15px 15px 0 0;
}

.sag {
    float: right;
    margin: 15px 0 0 15px;
}

.resim img {
    height: 100%;
    width: 100%;

    vertical-align: bottom;
    position: relative;
}

.resim .aciklama {
    width: 100%;
    height: min(20%, 60px);

    line-height: 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 0;
    backdrop-filter: blur(20px);
    background-color: rgba(103, 103, 103, 0.4);
    color: white;
    box-sizing: border-box;
}

.pencere {
    width: 800px;
    height: min(400px, 80vh);
    position: relative;


    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.kapak {
    width: 100%;
    height: 100vh;

    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    position: relative;
}

.blur {
    width: 100%;
    height: 100%;

    backdrop-filter: blur(3px);
}

.kod {
    display: flex;
    justify-content: flex-start;
    padding: 5% 0 2% 5%;
    align-items: center;

    border-radius: 5px;
    font-size: 18px;

    overflow: auto;
    scrollbar-color: var(--renk_yazi_tarih) var(--renk_arkaplan);
    scrollbar-width: thin;

    background-color: var(--renk_arkaplan_kod);
    color: white;
}

.kod::-webkit-scrollbar {
    height: 8px;
    width: 8px;
    background-color: var(--renk_arkaplan);
}

.kod::-webkit-scrollbar-thumb {
    background-color: var(--renk_yazi_tarih);
}

.altmenu_buton {
    width: 50px;
    height: 100%;

    position: relative;
    display: flex;

    justify-content: center;
    align-items: center;

    text-decoration: none;

    color: white;

    float: right;
    background-color: var(--renk_qnav);
}

.altmenu_buton:hover {
    cursor: pointer;
    background-color: #18748c;
    transition: var(--transition_baslik);
}

/* ANA İÇERİK */
/* FOOTER */
footer {
    width: 100%;
    height: 30px;
    position: relative;
    bottom: 0;
    box-sizing: border-box;

    display: flex;
    align-items: center;
    justify-content: space-between;

    margin-top: auto;

    background-color: var(--renk_header);
}

#iletisim {
    font-size: 0.7em;
    color: var(--renk_iletisim);
}

/* FOOTER */
/* ANIMASYONLAR */

.karanlik-gec {
    transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out !important;
}

.loading {
    opacity: 0;
}

.smooth-loaded {
    animation: baslikYuklenme 0.6s ease;
    animation-fill-mode: forwards;
}

@keyframes baslikYuklenme {
    from {
        opacity: 0;
        transform: translateY(max(-2vh, -10px));
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }

}

/* ANIMASYONLAR */